### Method

# Clapper Player get_current_video_decoder

#### Declaration [src]

    GstElement*
    clapper_player_get_current_video_decoder (
      ClapperPlayer* player
    )

#### Description [src]

Get `GstElement` currently used as video decoder.

Gets property | `Clapper.Player:current-video-decoder`

#### Return value

Type: `GstElement`

`GstElement` currently used as video decoder.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.